import Blockweave from "blockweave";
import Arweave from "arweave";
import { JWKInterface } from "blockweave/dist/faces/lib/wallet";
declare class ArlocalSweets {
    _blockweave: Blockweave | Arweave;
    private _wallet;
    private _mainnet;
    constructor(blockweave: Blockweave | Arweave, wallet: JWKInterface);
    private _validateNetwork;
    /**
     *
     * @returns True if network is valid, and vice versa
     */
    isTestNetwork(): Promise<boolean>;
    /**
     *
     * @param amount Amount in winston
     * @returns Amount funded in winston
     */
    fundWallet(amount: number): Promise<number>;
    /**
     *
     * @param blocks Amount of blocks to mine
     * @returns Amount of blocks mined
     */
    mine(blocks?: number): Promise<number>;
    /**
     *
     * @param txid Mainnet transaction id
     * @returns Arlocal transaction id
     */
    copyTransaction(txid: string): Promise<string>;
    /**
     *
     * @param txid Mainnet transaction id
     * @returns Arlocal transaction id
     */
    cloneTransaction(txid: string): Promise<string>;
    /**
     *
     * @param txid Mainnet contract initial state transaction ID
     * @returns Arlocal contract initial state transaction ID
     */
    copyContract(txid: string): Promise<string>;
    /**
     *
     * @param txid mainnet manifest ID
     * @returns Testnet manifest ID
     */
    copyManifestTransaction(txid: string): Promise<string>;
}
export = ArlocalSweets;
